For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer GuidesThreads APIAccount Management APIAnalytics API
Developer GuidesThreads APIAccount Management APIAnalytics API
  • O Auth
    • POSTOAuth 2.0 Token Exchange
  • Post
    • POSTGet Entities
  • Get
    • GETGet Organization
    • GETGet User
    • GETGet Workspace
  • Create
    • PUTCreate Organization
    • PUTCreate Organization And Workspace
    • PUTCreate User
    • PUTCreate Workspace
  • Update
    • PATCHUpdate Organization
    • PATCHUpdate User
    • PATCHUpdate Workspace
LogoLogo
Get

Get User

GET
https://sandbox.api.boosted.ai/v2/account-management/user
GET
/v2/account-management/user
$curl https://sandbox.api.boosted.ai/v2/account-management/user \
> -H "Authorization: <apiKey>"
1{
2 "message": "string",
3 "success": true,
4 "user": {
5 "email": "string",
6 "entitlements": [
7 {
8 "billing_feature_id": "string"
9 }
10 ],
11 "external_user_id": "string",
12 "name": "string",
13 "org_id": "string",
14 "user_id": "string",
15 "workspace_id": "string"
16 }
17}
A partner, using a token signed by their clientId and clientSecret, can call this method to get the current metadata associated with the user id.
Was this page helpful?
Previous

Get Workspace

Next
Built with

Authentication

Authorizationstring

Enter your JWT Token here in the format: Bearer {token}

Query parameters

user_idstringOptionalformat: "uuid"
User Id
external_user_idstringOptional
External User Id

Response

OK
messagestring
successboolean
userobject

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error